/*
 * Copyright (c) 2003-2004 Atmark Techno, Inc.  All Rights Reserved.
 */

#ifndef _HERMIT_MICROBLAZE_MEMREGIONS_H
#define _HERMIT_MICROBLAZE_MEMREGIONS_H

#define KiB                 (1024)

#define FLASH_START          0xFF000000
#define FLASH_SIZE           0x00400000

#define FPGA_START          (FLASH_START)
#define FPGA_SIZE           (8*64*KiB)
#define FPGA_END            (FPGA_START + FPGA_SIZE - 1)
#define FPGA_BLOCKING       "8x64K/l"

#define BOOTLOADER_START    (FPGA_START + FPGA_SIZE)
#define BOOTLOADER_SIZE     (2*64*KiB)
#define BOOTLOADER_END      (BOOTLOADER_START + BOOTLOADER_SIZE - 1)
#define BOOTLOADER_BLOCKING "2x64K/l"

#define IMAGE_START         (BOOTLOADER_START + BOOTLOADER_SIZE)
#define IMAGE_SIZE          (53*64*KiB)
#define IMAGE_END           (IMAGE_START + IMAGE_SIZE - 1)
#define IMAGE_BLOCKING      "53x64K"

#define KERNEL_START        (BOOTLOADER_START + BOOTLOADER_SIZE)
#define KERNEL_SIZE         (23*64*KiB)
#define KERNEL_END          (KERNEL_START + KERNEL_SIZE - 1)
#define KERNEL_BLOCKING     "23x64K"

#define USER_START          (KERNEL_START + KERNEL_SIZE)
#define USER_SIZE           (30*64*KiB)
#define USER_END            (USER_START + USER_SIZE - 1)
#define USER_BLOCKING       "30x64K"

#define CONFIG_START        (IMAGE_START + IMAGE_SIZE)
#define CONFIG_SIZE         (8*8*KiB)
#define CONFIG_END          (CONFIG_START + CONFIG_SIZE - 1)
#define CONFIG_BLOCKING     "8x8K/l"

#define DRAM_START           0x80000000
#define DRAM_SIZE            0x01000000
#define DRAM_END            (DRAM_START + DRAM_SIZE - 1)

#endif /* _HERMIT_MICROBLAZE_MEMREGIONS_H */
